--
-- Kuali Coeus, a comprehensive research administration system for higher education.
--
-- Copyright 2005-2020 Kuali, Inc.
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU Affero General Public License as
-- published by the Free Software Foundation, either version 3 of the
-- License, or (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU Affero General Public License for more details.
--
-- You should have received a copy of the GNU Affero General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--

INSERT INTO VALID_NARR_FORMS (VALID_NARR_FORMS_ID,FORM_NAME,NARRATIVE_TYPE_CODE,MANDATORY,UPDATE_USER,UPDATE_TIMESTAMP, OBJ_ID)
VALUES (SEQ_VALID_NARR_FORMS_ID.NEXTVAL,'NSF_KeyPersonExpanded_1_3','148','N','admin',SYSDATE, SYS_GUID());

insert into s2s_error (s2s_error_id, message_key, message, fix_link, update_timestamp, update_user, ver_nbr, obj_id)
values (SEQ_S2S_ERROR_ID.NEXTVAL,
        '/GrantApplication/Forms/NSF_KeyPersonExpanded_1_3/PDPI/Profile/BioSketchsAttached/BioSketchAttached',
        'Each investigator must have a BioSketch attachment. Upload the PDF on the Personnel Attachments panel, with "Biosketch" as the attachment type.',
        'abstractsAttachments', SYSDATE, 'admin', 1, SYS_GUID());

insert into s2s_error (s2s_error_id, message_key, message, fix_link, update_timestamp, update_user, ver_nbr, obj_id)
values (SEQ_S2S_ERROR_ID.NEXTVAL,
        '/GrantApplication/Forms/NSF_KeyPersonExpanded_1_3/PDPI/Profile/SupportsAttached/SupportAttached',
        'Each investigator must have a Current Pending attachment. Upload the PDF on the Personnel Attachments panel, with "Currentpending" as the attachment type.',
        'abstractsAttachments', SYSDATE, 'admin', 1, SYS_GUID());

insert into s2s_error (s2s_error_id, message_key, message, fix_link, update_timestamp, update_user, ver_nbr, obj_id)
values (SEQ_S2S_ERROR_ID.NEXTVAL,
        '/GrantApplication/Forms/NSF_KeyPersonExpanded_1_3/PDPI/Profile/CollaboratorsAttached/CollaboratorAttached',
        'Each investigator must have an NSF Collaborator attachment. Upload the PDF on the Personnel Attachments panel, with "NSF_Collaborator" as the attachment type.',
        'abstractsAttachments', SYSDATE, 'admin', 1, SYS_GUID());

insert into s2s_error (s2s_error_id, message_key, message, fix_link, update_timestamp, update_user, ver_nbr, obj_id)
values (SEQ_S2S_ERROR_ID.NEXTVAL,
        '/GrantApplication/Forms/NSF_KeyPersonExpanded_1_3/PDPI/Profile',
        'PI needs to be added to proposal', 'keyPersonnel', SYSDATE, 'admin', 1, SYS_GUID());

insert into s2s_error (s2s_error_id, message_key, message, fix_link, update_timestamp, update_user, ver_nbr, obj_id)
values (SEQ_S2S_ERROR_ID.NEXTVAL,
        '/GrantApplication/Forms/NSF_KeyPersonExpanded_1_3/PDPI/Profile/Address',
        'The country code for the investigator address is invalid.', 'keyPersonnel', SYSDATE, 'admin', 1, SYS_GUID());